#!/usr/bin/env python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import find_packages, setup

MODULE = "kaldi_data_generator"
COMMAND = "kaldi-data-generator"


def parse_requirements():
    path = Path(__file__).parent.resolve() / "requirements.txt"
    assert path.exists(), f"Missing requirements: {path}"
    return list(map(str.strip, path.read_text().splitlines()))


setup(
    name=MODULE,
    version=open("VERSION").read(),
    description="Kaldi Data Generator",
    author="Martin",
    author_email="maarand@teklia.com",
    install_requires=parse_requirements(),
    entry_points={"console_scripts": [f"{COMMAND}={MODULE}.main:main"]},
    packages=find_packages(),
)
